unit ldap_gss;

interface

uses ldap;

//#include "ldap.h"

//#define SECURITY_WIN32
//#include <security.h>

type    char8 = ansichar;
        pchar8 = pansichar;

const LDAP_MAX_HOST_LEN = 255;

type gss_err_code = POINTER;

function ldap_gssbind(ld: hLDAP;			          //In
                      ldapHost: pchar8;		                  //In
                      mechanism: pchar8; 		          //In (Optional)
                      DN: pchar8; 			          //In (Optional)
                      credential: pchar8;		          //In (Optional)
                      var err_code: gss_err_code): ldapcode; cdecl;//out(Optional)

// ------------------------ MUST BE CDECL ! --------------------------

//int ldap_gssbind(
//	LDAP *ld,
//	char *ldapHost,
//	char *mechanism,
//	char *DN,
//	char *credential,
//	gss_err_code *err_code); stdcall;

function ldap_gss_error(err: gss_err_code): pchar8; stdcall; // <-- cdecl ???
//char *ldap_gss_error(
//	gss_err_code err);

//* GSS Errors (continued from LDAP_REFERRAL_LIMIT_EXCEEDED) */
const
  _LDAP_GSS_ERROR               = $62;
  _LDAP_GSS_SECURITY_ERROR      = $63;
  _LDAP_GSS_IMPORT_ERROR        = $64;

implementation

function ldap_gssbind;                 external 'LDAPSDK.DLL';
function ldap_gss_error;               external 'LDAPSDK.DLL';

end.
